Package org.jfree.layouting.layouter.style.functions

## Class FunctionUtilities

- java.lang.Object
- - org.jfree.layouting.layouter.style.functions.FunctionUtilities

-     public class FunctionUtilities
      extends java.lang.Object

  Creation-Date: 04.07.2006, 14:30:10
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `createURI​(java.lang.String uri, LayoutProcess layoutProcess)` |
    `static CSSNumericType` | `getUnitType​(java.lang.String typeText)` |
    `static CSSResourceValue` | `loadResource​(LayoutProcess process, java.lang.Object value)` |
    `static CSSResourceValue` | `loadResource​(LayoutProcess process, java.lang.Object value, java.lang.Class[] type)` |
    `static CSSNumericValue` | `parseNumberValue​(java.lang.String text)` |
    `static CSSNumericValue` | `parseNumberValue​(java.lang.String text, java.lang.String type)` |
    `static CSSValue` | `parseValue​(LayoutProcess process, java.lang.String text)` |
    `static CSSValue` | `resolveParameter​(LayoutProcess layoutProcess, LayoutElement layoutElement, CSSValue value)` |
    `static java.lang.String` | `resolveString​(LayoutProcess layoutProcess, LayoutElement layoutElement, CSSValue value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### loadResource

          public static CSSResourceValue loadResource​(LayoutProcess process,
                                                      java.lang.Object value)
                                               throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### loadResource

          public static CSSResourceValue loadResource​(LayoutProcess process,
                                                      java.lang.Object value,
                                                      java.lang.Class[] type)
                                               throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### parseValue

          public static CSSValue parseValue​(LayoutProcess process,
                                            java.lang.String text)

    - #### parseNumberValue

          public static CSSNumericValue parseNumberValue​(java.lang.String text,
                                                         java.lang.String type)
                                                  throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### parseNumberValue

          public static CSSNumericValue parseNumberValue​(java.lang.String text)
                                                  throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### getUnitType

          public static CSSNumericType getUnitType​(java.lang.String typeText)

    - #### resolveString

          public static java.lang.String resolveString​(LayoutProcess layoutProcess,
                                                       LayoutElement layoutElement,
                                                       CSSValue value)
                                                throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### resolveParameter

          public static CSSValue resolveParameter​(LayoutProcess layoutProcess,
                                                  LayoutElement layoutElement,
                                                  CSSValue value)
                                           throws FunctionEvaluationException

      Throws:
        `FunctionEvaluationException`

    - #### createURI

          public static org.pentaho.reporting.libraries.resourceloader.ResourceKey createURI​(java.lang.String uri,
                                                                                             LayoutProcess layoutProcess)